<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
    <meta charset="UTF-8"/>
    <title>Vérification des droits admin</title>
</head>
<body
        style="p: before .success, li:before .success{ 
            background-image: 
                url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png); content: '&gt;'">
<h3>
    On ajoute des droits sur les données de référence pour l'utilisateur "<span
        concordion:set="#utilisateur">testeurAuto</span>."
</h3>
<table
        concordion:execute="#areRightsSet=addActivity(#utilisateur, #whichTreeCode, #role, #path, #dateDeDebut, #dateDeFin)">
    <tr>
        <th concordion:set="#utilisateur">Utilisateur</th>
        <th concordion:set="#whichTreeCode">WhichTreeCode</th>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#path">Path</th>
        <th concordion:set="#dateDeDebut">Date de début</th>
        <th concordion:set="#dateDeFin">Date de fin</th>
        <th concordion:assertTrue="#areRightsSet">Droit mis</th>
    </tr>

    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>prairies_permanentes,laqueuille,laqueuille_2,flux_gazeux,flux_tours</td>
        <td>30/12/2003</td>
        <td>07/01/2004</td>
        <td>true</td>
    </tr>

    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>rotation_prairie_culture,lusignan,lusignan_5,flux_gazeux,flux_tours</td>
        <td>01/01/2005</td>
        <td>07/01/2005</td>
        <td>true</td>
    </tr>
    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>prairies_permanentes,laqueuille,laqueuille_1,flux_gazeux,flux_chambres</td>
        <td>06/05/2010</td>
        <td>25/05/2010</td>
        <td>true</td>
    </tr>
    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>rotation_prairie_culture,lusignan,lusignan_21,flux_gazeux,flux_chambres</td>
        <td>06/05/2010</td>
        <td>25/05/2010</td>
        <td>true</td>
    </tr>
    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>grandes_cultures_et_cultures_dediees_a_la_production_de_biomasse,estrees-mons,estrees-mons_a08,flux_gazeux,flux_chambres</td>
        <td>09/06/2011</td>
        <td>20/03/2012</td>
        <td>true</td>
    </tr>
    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>prairies_permanentes,laqueuille,meteorologie,meteorologie_semi-horaire</td>
        <td>19/07/2005</td>
        <td>22/07/2005</td>
        <td>true</td>
    </tr>
    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>rotation_prairie_culture,lusignan,meteorologie,meteorologie_semi-horaire</td>
        <td>16/07/2005</td>
        <td>20/07/2005</td>
        <td>true</td>
    </tr>
</table>

<p concordion:execute="#roles = persistExtractActivities(#utilisateur)">
    Il y a "<span concordion:assert-equals="#roles">125</span>"
    roles extraction pour <span concordion:set="#utilisateur">testeurAuto</span>.
</p>
</body>
</html>